1. Herzlich willkommen bei WPDE.org, dem grössten und ältesten deutschsprachigen Community-Forum rund um das Thema WordPress. Du musst angemeldet oder registriert sein, um Beiträge verfassen zu können.
    Information ausblenden

Cannot modify header information

Dieses Thema im Forum "Installation" wurde erstellt von studroa, 29. April 2008.

Status des Themas:
Es sind keine weiteren Antworten möglich.
  1. studroa

    studroa New Member

    Registriert seit:
    29. April 2008
    Beiträge:
    1
    Zustimmungen:
    0
    Hi,

    habe mich heute das erstemal gewagt WordPress zu installieren.
    Nachdem ich die "wp-config" konfiguriert habe, spielte ich WordPress auf mein Webspace auf (PHP&MySQL Webspace -250MB-) und startete die Installation laut anleitung.
    Es kam auch der Assistent aber auch eine fehlermeldung:
    Cannot modify header information

    Nachdem ich die geschichte trotzdem eingerichtet habe und mich als Admin anmelden wollte, kamen nur noch Meldungen:
    ----------
    Warning: Cannot modify header information - headers already sent by (output started at /home/www/web289/html/wp-config.php:1) in /home/www/web289/html/wp-login.php on line 202

    Warning: Cannot modify header information - headers already sent by (output started at /home/www/web289/html/wp-config.php:1) in /home/www/web289/html/wp-login.php on line 214

    Warning: Cannot modify header information - headers already sent by (output started at /home/www/web289/html/wp-config.php:1) in /home/www/web289/html/wp-includes/pluggable.php on line 557

    Warning: Cannot modify header information - headers already sent by (output started at /home/www/web289/html/wp-config.php:1) in /home/www/web289/html/wp-includes/pluggable.php on line 694
    --------

    Es wir auch in meine DB geschrieben, aber kann leide diese Meldungen nicht deuten.

    Kann mir jemand dabei Helfen?

    www.studroa.de
     
  2. marX

    marX Well-Known Member
    Ehrenmitglied

    Registriert seit:
    5. Oktober 2006
    Beiträge:
    12.943
    Zustimmungen:
    0
    Öffne deine wp-config.php mal und sieh nach ob du irgendwelche Zeichen vor <?php stehen hast (z.B. Leerzeichen, Zeilenumbruch). Die müssen da weg.
     
  3. Putzlowitsch

    Putzlowitsch Well-Known Member

    Registriert seit:
    21. Oktober 2006
    Beiträge:
    5.823
    Zustimmungen:
    1
    Wäre mal was für einen FAQ-Artikel, das kommt ja alle Nasen lang in unterschiedlichen Darreichungsformen vor. Auch bei vielen Problemen, wo der Feed nicht funktioniert, liegt es daran.


    Gruß
    Ingo
     
  4. Toba

    Toba New Member

    Registriert seit:
    30. April 2008
    Beiträge:
    2
    Zustimmungen:
    0
    Selber Fehler

    Hi, bei mir kommt die selbe Anzeige, leider hilft mir deine Fehlerbehebung aber nicht, vor dem <?php sind keinerlei Zeichen/Leerzeichen o.ä. Gar nichts.

    Ich kann mich über wp-admin einloggen (da stehen schon die ersten beiden Fehlermeldungen oben). Sobald ich mich eingeloggt habe, bleibt der Bildschirm wei und es steht da:

    
    Warning: Cannot modify header information - headers already sent by (output started at /data/apache/users/kilu.de/tosiro/www/wordpress/wp-config.php:1) in /data/apache/users/kilu.de/tosiro/www/wordpress/wp-login.php on line 202

    Warning: Cannot modify header information - headers already sent by (output started at /data/apache/users/kilu.de/tosiro/www/wordpress/wp-config.php:1) in /data/apache/users/kilu.de/tosiro/www/wordpress/wp-login.php on line 214

    Warning: Cannot modify header information - headers already sent by (output started at /data/apache/users/kilu.de/tosiro/www/wordpress/wp-config.php:1) in /data/apache/users/kilu.de/tosiro/www/wordpress/wp-includes/pluggable.php on line 557

    Warning: Cannot modify header information - headers already sent by (output started at /data/apache/users/kilu.de/tosiro/www/wordpress/wp-config.php:1) in /data/apache/users/kilu.de/tosiro/www/wordpress/wp-includes/pluggable.php on line 694

    _________
    Wäre super, wenn mir da jemand weiterhelfen könnte.

    Danke
     
  5. Toba

    Toba New Member

    Registriert seit:
    30. April 2008
    Beiträge:
    2
    Zustimmungen:
    0
    Sorry fürs nerven, habs doch noch allein hinbekommen. War die blöde UTF-8 Einstellung.

    Danke dennoch für das Super Forum:)
     
  6. marX

    marX Well-Known Member
    Ehrenmitglied

    Registriert seit:
    5. Oktober 2006
    Beiträge:
    12.943
    Zustimmungen:
    0
    Die 3 kryptischen Zeichen die da ausgegeben werden sind das berühmte fehlinterpretierte UTF-8 BOM (Byte Order Mark) - ist ein bekannte PHP-Bug. Muss man im Editor seiner Wahl beim Speichern deaktiveren.

    Mehr Infos dazu: Byte Order Mark – Wikipedia
     
  7. The White Wolf

    Registriert seit:
    1. Mai 2008
    Beiträge:
    10
    Zustimmungen:
    0
    Bekomme auch solch ähnliche Meldung:

    Warning: Cannot modify header information - headers already sent by (output started at /www/htdocs/w00738db/vfl-bleckede/wordpress/wp-config.php:1) in /www/htdocs/w00738db/vfl-bleckede/wordpress/wp-admin/install.php on line 17

    Was ist bei mir falsch gelaufen?

    Wenn ich mich einlogge, kommen folgende Fehlermeldungen:

    Warning: Cannot modify header information - headers already sent by (output started at /www/htdocs/w00738db/vfl-bleckede/wordpress/wp-config.php:1) in /www/htdocs/w00738db/vfl-bleckede/wordpress/wp-login.php on line 202

    Warning: Cannot modify header information - headers already sent by (output started at /www/htdocs/w00738db/vfl-bleckede/wordpress/wp-config.php:1) in /www/htdocs/w00738db/vfl-bleckede/wordpress/wp-login.php on line 214

    Warning: Cannot modify header information - headers already sent by (output started at /www/htdocs/w00738db/vfl-bleckede/wordpress/wp-config.php:1) in /www/htdocs/w00738db/vfl-bleckede/wordpress/wp-includes/pluggable.php on line 557

    Warning: Cannot modify header information - headers already sent by (output started at /www/htdocs/w00738db/vfl-bleckede/wordpress/wp-config.php:1) in /www/htdocs/w00738db/vfl-bleckede/wordpress/wp-includes/pluggable.php on line 694



    Aktuellste Version von WP
     
    #7 The White Wolf, 1. Mai 2008
    Zuletzt bearbeitet: 1. Mai 2008
  8. marX

    marX Well-Known Member
    Ehrenmitglied

    Registriert seit:
    5. Oktober 2006
    Beiträge:
    12.943
    Zustimmungen:
    0
    Auch für dich gilt genau dasselbe wie in diesem Thread schon besprochen. Zeichen (speziell Leerzeichen u. Zeilenumbrüche) vor <?php und der UTF-8 BOM Bug.
     
  9. feffi

    feffi New Member

    Registriert seit:
    2. Mai 2008
    Beiträge:
    1
    Zustimmungen:
    0
    Cannot modify header....keine Spaces

    Hi Toba,
    wie (wo) hast Du denn die UTF-8 Einstellung geändert? Sorry, bin noch etwas neu...
    Habe keine Spaces und dennoch das gleiche Problem...
    Danke!!!
     
  10. marX

    marX Well-Known Member
    Ehrenmitglied

    Registriert seit:
    5. Oktober 2006
    Beiträge:
    12.943
    Zustimmungen:
    0
    feffi: Das kommt auf den Editor an, mit dem die Datei wp-config.php bearbeitest. Da ist jeder Editor ein wenig anders. Bei manchen kann man die Codierung (z.B. UTF-8 ohne BOM!) im "Speichern"-Dialog auswählen, bei anderen muss man das in den Dateieigenschaften ändern. Vielleicht hilft dir die Online-Hilfe zu deinem Editor weiter.
     
  11. Robert_Berlin

    Robert_Berlin New Member

    Registriert seit:
    2. Mai 2008
    Beiträge:
    1
    Zustimmungen:
    0
    ?

    Sorry, aber ich kriege das auch noch nicht hin mit dem UTF-8 ohne BOM! Was muss ich da machen? Ich habe als Editor MSWord oder den Texeditor. Danke
     
  12. marX

    marX Well-Known Member
    Ehrenmitglied

    Registriert seit:
    5. Oktober 2006
    Beiträge:
    12.943
    Zustimmungen:
    0
    MS Word ist kein Editor, sondern eine Textverarbeitung. Bitte verwende diese Software nicht zur Programmierung!

    Der Windows-Editor ist in Ordnung, hier bedeutet aber die Codierung ("Speichern unter"-Dialog, die Dropdown-Box ganz unten) "UTF-8" die Speicherung mit BOM. Wähle hier als Codierung "ANSI" (die wp-config.php sollte ja sowieso keine Umlaute und ähnliches enthalten).

    Wenn du auch PHP-Dateien etc. bearbeiten willst u. UTF-8-codiert speichern möchtest, dann empfehle ich z.B. .:: NOTEPAD++ ::. als Editor. Der kann auch UTF-8 ohne BOM speichern. (Menü "Format", dann "Codiere als ANSI" auswählen und Haken setzen bei "Codiere als UTF-8 ohne BOM".)
     
  13. Stefan0211

    Stefan0211 New Member

    Registriert seit:
    15. Mai 2008
    Beiträge:
    2
    Zustimmungen:
    0
    - headers already sent by (output started ... /wp-config.php:1) In der wp-config.ph

    Hallo,
    als Anfänger habe ich die aktuelle Wordpressversion installiert. Beim Zugriff auf die Website kommt die Fehlermeldung
    Warning: Cannot modify header information - headers already sent by (output started ... /wp-config.php:1)
    In der wp-config.php habe ich geprüft, ob ein Leerzeichen oder eine Leerzeile vor oder nach dem ersten Befehl steht. Steht nicht.
    Es stand auch man soll den Zeichensatz überprüfen oder anpassen. Damit kann ich aber nichts richtiges anfangen. In der wp-config.php steht UTF8.
    Die wp-config.php habe ich mit dem Windows Editor angepasst.
    Vielen Dank! für eine Antwort
    Stefan
     
  14. Stefan0211

    Stefan0211 New Member

    Registriert seit:
    15. Mai 2008
    Beiträge:
    2
    Zustimmungen:
    0
    Dasselbe Problem: Warning: Cannot modify header information

    Ich habe im Windows Editor bei Speichern unter auf ANSI umgestellt. Jetzt geht es.
    Danke für die Infos hier
     
  15. marX

    marX Well-Known Member
    Ehrenmitglied

    Registriert seit:
    5. Oktober 2006
    Beiträge:
    12.943
    Zustimmungen:
    0
    Auch bei dir war es mit ziemlicher Sicherheit der UTF8-BOM-Bug. ;) Ich würde das ja ausführlicher erläutern, aber wie man das umgeht ist in jedem Editor anders gelöst... ANSI speichern hilft bei der wp-config aber immer, die Datei sollte ja keine Umlaute oder ähnliche Sonderzeichen enthalten.
     
  16. web089

    web089 New Member

    Registriert seit:
    17. Mai 2008
    Beiträge:
    4
    Zustimmungen:
    0
    @all

    Hänge mich mit dieser Fehlermeldung an den Thread mal dran (Achtung WP-Neuling):

    Warning: unpack() [function.unpack]: Type V: not enough input, need 4, have 0 in /homepages/1/d194970994/htdocs/wordpress/wp-includes/gettext.php on line 91

    Warning: Cannot modify header information - headers already sent by (output started at /homepages/1/d194970994/htdocs/wordpress/wp-config.php:1) in /homepages/1/d194970994/htdocs/wordpress/wp-admin/install.php on line 17


    Habe die wp_config.php als ANSI abgespeichert und erneut hochgeladen. Leider ohne Erfolg. :cry:

    Kann der Fehler auch einen anderen Grund haben?
     
  17. marX

    marX Well-Known Member
    Ehrenmitglied

    Registriert seit:
    5. Oktober 2006
    Beiträge:
    12.943
    Zustimmungen:
    0
    Die unpack-Meldung hat nen anderen Grund, da musst du mal das Forum durchsuchen.
    Die "headers already sent" kommen aus der wp-config.php. Könnte der BOM-Bug sein, ist es wohl aber nach deiner Beschreibung nicht. Leerzeichen/-zeilen vor <?php ?
     
  18. web089

    web089 New Member

    Registriert seit:
    17. Mai 2008
    Beiträge:
    4
    Zustimmungen:
    0
    Nein, auch kein Leeeeerzeichen o.ä. Werde nochmal die Suche bemühen. Danke.
     
  19. marX

    marX Well-Known Member
    Ehrenmitglied

    Registriert seit:
    5. Oktober 2006
    Beiträge:
    12.943
    Zustimmungen:
    0
    Eventuell auch ein Folgefehler von der "unpack"-Meldung...
     
  20. DonDoGGy

    DonDoGGy New Member

    Registriert seit:
    10. Juni 2008
    Beiträge:
    1
    Zustimmungen:
    0
    Hallo,

    also ich habe wirklich schon alles probiert aber finde den Fehler nicht.
    Ich habe die aktuellste version entpackt und nur die config.php verändert.

    wenn ich auf die startseite zugreifen möchte kommt:

    Warning: Cannot modify header information - headers already sent by (output started at /customers/analphablogger.de/analphablogger.de/httpd.www/wp/wp-includes/pluggable.php:1) in /customers/analphablogger.de/analphablogger.de/httpd.www/wp/wp-includes/pluggable.php on line 694

    aber pluggable.php habe ich nicht editiert.

    Öffne ich die install.php kommt folgendes:

    Warning: Cannot modify header information - headers already sent by (output started at /customers/analphablogger.de/analphablogger.de/httpd.www/wp/wp-includes/pluggable.php:1) in /customers/analphablogger.de/analphablogger.de/httpd.www/wp/wp-admin/install.php on line 17


    Muss dazu sagen, dass ich schon mal wordpress installiert habe und noch nie so ein Problem hatte. Naja vielleicht kann mir ja von euch jemand helfen ;)

    EDIT: Also habe gerade nicht geändert und plötzlich kommt die erste fehlermeldung nicht mehr :) (komisch^^)

    Danke im Voraus
     
    #20 DonDoGGy, 10. Juni 2008
    Zuletzt bearbeitet: 10. Juni 2008
Status des Themas:
Es sind keine weiteren Antworten möglich.
  1. Diese Seite verwendet Cookies, um Inhalte zu personalisieren, diese deiner Erfahrung anzupassen und dich nach der Registrierung angemeldet zu halten.
    Wenn du dich weiterhin auf dieser Seite aufhältst, akzeptierst du unseren Einsatz von Cookies.
    Information ausblenden
  1. Diese Seite verwendet Cookies, um Inhalte zu personalisieren, diese deiner Erfahrung anzupassen und dich nach der Registrierung angemeldet zu halten.
    Wenn du dich weiterhin auf dieser Seite aufhältst, akzeptierst du unseren Einsatz von Cookies.
    Information ausblenden